# class ISDNQ931ParserData | Q.931 message parser data. More...
Full name | `TelEngine::ISDNQ931ParserData`
Definition | `#include <libs/ysig/yatesig.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ISDNQ931ParserData (const NamedList& params, DebugEnabler* dbg = 0)
- inline bool flag (int mask) const

#### Public Members

- DebugEnabler* m_dbg
- u_int32_t m_maxMsgLen
- int m_flags
- int m_flagsOrig
- u_int8_t m_maxDisplay
- bool m_allowSegment
- u_int8_t m_maxSegments
- bool m_extendedDebug

## Detailed Description

This class holds Q.931 parser settings used to encode/decode Q.931 messages

ISDNQ931ParserData (const NamedList& params, DebugEnabler* dbg = 0) | ### ISDNQ931ParserData

Constructor

Parameters:

params | Parser settings
dbg | The debug enabler used for output

inline bool flag (int mask) | ### flag

[const]

Check the state of a flag

Parameters:

mask | The flag to check

Returns: True if the given flag is set

DebugEnabler* m_dbg | ### m_dbg

u_int32_t m_maxMsgLen | ### m_maxMsgLen

int m_flags | ### m_flags

int m_flagsOrig | ### m_flagsOrig

u_int8_t m_maxDisplay | ### m_maxDisplay

bool m_allowSegment | ### m_allowSegment

u_int8_t m_maxSegments | ### m_maxSegments

bool m_extendedDebug | ### m_extendedDebug

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.